=== taglib/mp4/CMakeLists.txt ===
INSTALL( FILES  mp4file.h mp4atom.h mp4tag.h mp4item.h mp4properties.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)
