=== debian/changelog ===
taglib (1.6.3-1) unstable; urgency=low

  * New upstream release:
    - fixes a problem with ID3v2 APIC frame parsing (Closes: #577990).
  * Update symbol files for new release.
  * Remove duplicate "Section" fields from debian/control.
  * Bump libtag1c2a shlibs to 1.6.3.

 -- Modestas Vainius <modax@debian.org>  Mon, 17 May 2010 01:43:14 +0300

taglib (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Update libtag1-vanilla symbol file, bump libtag1-{vanilla,rusxmms} shlibs.
  * Override lintian "taglib source: outdated-autotools-helper-file". Package
    does not use autotools anyway.
  * Change maintainer email address to @debian.org one.
  * Bump Standards-Version to 3.8.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 09 Apr 2010 23:58:57 +0300

taglib (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, merged upstream:
    - general/add_missing_exports_fix.diff
    - general/gcc_visibility_feature.diff
    - general/link_interface_libraries_fix.diff
    - general/taglib_c_pc_fix.diff
  * Switch to dpkg-source v3 format:
    - do not use quilt dh addon anymore.
  * Update install files.
  * Update libtag1-vanilla.symbols file: new symbols added.
  * Use Conflicts rather than Breaks for libtag-extras0 (as lintian insists).
  * Bump shlibs to 1.6.1 in debian/rules.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 02 Nov 2009 01:48:01 +0200

taglib (1.6-3) unstable; urgency=low

  * Fix 'optional' tags in symbols file.
  * Release to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 22:32:22 +0300

taglib (1.6-2) experimental; urgency=low

  * Build with ASF (-DWITH_ASF=ON) and MP4 (-DWITH_MP4=ON). Update symbols
    file and libtag1c2a shlibs accordingly.
  * This release breaks libtaglib-extras0. Add Breaks: to libtag1c2a and
    libtag1-* packages.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 17 Sep 2009 23:20:26 +0300

taglib (1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Drop general/recognize_oga_files_fix.diff patch, merged upstream.
  * Refresh other patches.
  * Refresh rusxmms patch.
  * Update install files.
  * Update symbols file.
  * Bump shlibs of libtag1-* to 1.6.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 15 Sep 2009 22:13:51 +0300

taglib (1.5-7) unstable; urgency=low

  * Fix Vcs-Browser URL.
  * Convert symbol files to dpkg-dev 1.15.3 compat format:
    - drop build dependency on pkg-kde-tools and remove its references from
      debian/rules;
    - add dpkg-dev (>= 1.15.3) to build depends;
    - convert and rename debian/*.symbols.in to dpkg-dev 1.15.3 compatible
      format.
  * Use dh --with quilt rather than quilt make snippet:
    - build depend on quilt (>= 0.46-7~);
    - adjust debian/rules accordingly.
  * Clean up topgit stuff.
  * Get rid of the build branch: update debian/README.source.
  * Make use of debhelper 7.3 cmake / build directory support:
    - build depend on debhelper (>= 7.3);
    - debian/rules rewritten to use dh_auto and otherwise simplified.
  * Fix taglib_c.pc (patch general/taglib_c_pc_fix.diff) (Closes: #524696).
  * Recognize .oga files as OGGs (patch general/recognize_oga_files_fix.diff)
    (Closes: #525571).
  * Bump Standards-Version to 3.8.2. No changes needed.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 25 Jul 2009 04:09:33 +0300

taglib (1.5-6) unstable; urgency=low

  * Fix potential rusxmms patching breakage in case there were no regular
    patches.
  * Build depend on debhelper 7.2.7, drop a hack needed for previous dh and
    make use of --remaining-packages option for dh_makeshlibs.
  * Fix debian/watch file.
  * Upload to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 28 Mar 2009 16:01:43 +0200

taglib (1.5-5) experimental; urgency=low

  * Port buildsystem from cdbs to debhelper v7 (>= 7.0.50). cmake
    support implemented via dh_overrides.
  * Pass CMAKE_USE_RELATIVE_PATHS=ON to cmake. Hence build depend on
    cmake 2.6.2.
  * Strip debian/tmp from debian/*.install files. Not needed with dh v7.
  * Add RusXMMS support (Closes: #384573):
    - RusXMMS patch contributed by Ivan Borzenkov, thanks;
    - add two libtag1 flavours: vanilla (libtag1-vanilla) and rusxmms
      libtag1-rusxmms);
    - new libtag1-* flavours replaces old libtag1c2a;
    - libtag1c2a becomes a metapackage which depends on either of flavours
      via alternate depends. Both libtag1-vanilla and libtag1-rusxmms export
      themselves as libtag1c2a via shlibs/symbol files;
    - rework buildsystem and build both flavours in their own build directories
      (builddir-vanilla and builddir-rusxmms);
    - employ some quilt on-the-fly patching hacks to patch and unpatch source
      with rusxmms patch as needed;
    - build depend on librcc-dev. RusXMMS needs it;
    - add more lintian-overrides as the changes above triggered them.
  * Get rid of old conflicts/replaces of the libtag1c2a package.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 20 Mar 2009 01:36:31 +0200

taglib (1.5-4) unstable; urgency=low

  * Drop Adeodato Simó from Uploaders by his request. Thanks for your work!
  * Build depend on pkg-kde-tools (>= 0.4) and switch libtag1c2a symbol file
    handling to pkgkde-symbolshelper instead of custom implementation. This
    should fix FTBFS on kfreebsd-amd64 (Closes: #494276).
  * Migrate patch handling to topgit. As a result, patches were renamed:
    - 01_gcc_visibility.diff -> general/gcc_visibility_feature.diff;
    - 02_export_public_functions.diff -> general/add_missing_exports_fix.diff;
    - 96_link_interface_libraries.diff -> 
      general/link_interface_libraries_fix.diff.
  * Add README.source about topgit/quilt.

