=== debian/control ===
Source: taglib
Section: libs
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3), dpkg-dev (>= 1.15.3), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
Standards-Version: 3.8.4
Homepage: http://developer.kde.org/~wheeler/taglib.html
Vcs-Git: git://git.debian.org/users/modax/taglib.git
Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary

Package: libtag1c2a
Architecture: any
Depends: libtag1-vanilla (= ${binary:Version}) | libtag1-rusxmms (= ${binary:Version}), ${misc:Depends}
Conflicts: libtag-extras0
Description: TagLib Audio Meta-Data Library
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This package is the main metapackage for the TagLib Audio Meta-Data Library.
 Packages using TagLib should depend on this package rather than specific
 TagLib flavour. Vanilla (original) flavour is default. Alternatively you may
 install RusXMMS flavour which can be found in the libtag1-rusxmms package.

Package: libtag1-vanilla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-rusxmms, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Description: TagLib Audio Meta-Data Library (Vanilla flavour)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library. This package contains original and unpatched flavour of the library.

Package: libtag1-rusxmms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-vanilla, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Description: TagLib Audio Meta-Data Library (RusXMMS flavour)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the RusXMMS flavour of the TagLib Audio Meta-Data Library. It is
 patched with RusXMMS patch and adds support for autodetection of cyrillic
 encodings under Russian/Ukrainian/Belarusian locales.

Package: libtag1-dev
Section: libdevel
Architecture: any
Depends: libtag1c2a (= ${binary:Version}), ${misc:Depends}
Description: TagLib Audio Meta-Data Library [development]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library.

Package: libtag1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libtag1-dev
Description: TagLib Audio Meta-Data Library [documentation]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the documentation package which contains API documentation for the
 TagLib Audio Meta-Data Library.

Package: libtagc0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TagLib Audio Meta-Data Library (C bindings)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library (C bindings).

Package: libtagc0-dev
Section: libdevel
Architecture: any
Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
Description: TagLib Audio Meta-Data Library (C bindings) [development]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library (C bindings).
