=== debian/watch ===
version=3
opts="uversionmangle=s/^([\d.]+)([^.\d].+)$/$1~$2/" \
http://developer.kde.org/~wheeler/files/src/taglib-(.+).tar.gz
