## taglib 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,8 +39,8 @@
 endif (WIN32)
 
 SET(TAGLIB_LIB_MAJOR_VERSION "1")
-SET(TAGLIB_LIB_MINOR_VERSION "6")
-SET(TAGLIB_LIB_PATCH_VERSION "3")
+SET(TAGLIB_LIB_MINOR_VERSION "7")
+SET(TAGLIB_LIB_PATCH_VERSION "0")
 
 SET(TAGLIB_LIB_VERSION_STRING "${TAGLIB_LIB_MAJOR_VERSION}.${TAGLIB_LIB_MINOR_VERSION}.${TAGLIB_LIB_PATCH_VERSION}")
 
@@ -75,3 +75,7 @@
 endif(NOT WIN32)
 
 INSTALL( PROGRAMS  ${CMAKE_CURRENT_BINARY_DIR}/taglib-config DESTINATION ${BIN_INSTALL_DIR})
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
+ADD_CUSTOM_TARGET(docs doxygen)
+
