=== debian/changelog ===
taglib (1.7-1ubuntu5) precise; urgency=low

  * debian/rules: Drop LP #902603 workaround again, dpkg is really fixed now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Dec 2011 09:46:21 +0100

taglib (1.7-1ubuntu4) precise; urgency=low

  * Reapply LP #902603 workaround, dpkg fix is incomplete.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 10:45:53 +0100

taglib (1.7-1ubuntu3) precise; urgency=low

  * debian/rules: Drop LP #902603 workaround, dpkg is fixed now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Dec 2011 11:37:25 +0100

taglib (1.7-1ubuntu2) precise; urgency=low

  * debian/rules: Work around dpkg multi-arch bug by creating an empty stamp
    file named after the build arch. (LP: #902603)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Dec 2011 16:21:16 +0100

taglib (1.7-1ubuntu1) precise; urgency=low

  * Build for multiarch.  Closes: #651019.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Dec 2011 18:26:33 -0800

taglib (1.7-1) unstable; urgency=low

  * New upstream release.
  * Drop topgit support and remove README.source, no longer needed.
  * Bump Standards-Version to 3.9.2: adjust Replaces/Breaks where needed.
  * Simplify debian/rules a bit: use fewer make "functions".
  * Do not care about shlibs anymore since there is a symbol file.
  * Adapt rusxmms_taglib.diff to upstream changes (autotools removal).
  * Clean trailing whitespace from the rusxmms_taglib.diff.
  * Add header to the rusxmms_taglib.diff patch.
  * Update the list of supported formats in the package descriptions.
   (Closes: #613149)
  * Update package synopsis'.
  * Use new way to call doxygen: via `make docs`.
  * Add upstream_doxygen_out_of_source.diff patch to support building
    documentation out-of-the-source tree.
  * Update symbol files.
  * Remove no longer used lintian-overrides.
  * Override jquery.js lintian warning, doxygen adds it.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Apr 2011 19:32:40 +0300
