## taglib 1.7.2

=== debian/changelog ===
taglib (1.7.2-1) unstable; urgency=medium

  * New upstream release:
    - fixed division by zero while parsing corrupted MP4 files (CVE-2012-2396);
    - fixed compilation on Haiku.
  * Update symbol files.
  * Urgency=medium, security fix.

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Jun 2012 01:18:37 +0300

taglib (1.7.1-3) unstable; urgency=low

  * libtag1-dev and libtagc0-dev (libtag1-dev reverse dependency) are not
    Multi-Arch: same compatible, unmark them. (Closes: #670029)

 -- Modestas Vainius <modax@debian.org>  Sun, 29 Apr 2012 10:48:12 +0300

taglib (1.7.1-2) unstable; urgency=low

  * Replace build hook with dh_auto_configure override. This should be
    compatible with building package via binary-arch target. Fixes FTBFSes.
  * Hook doc/html/index.html to build-indep target. This is compat=9
    compatible.
  * Do not attempt to build some binary packages uselessly.
  * Fix patch to doc/html/index.html. It's in builddir-vanilla.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 22:22:26 +0300

taglib (1.7.1-1) unstable; urgency=high

  * New upstream release:
    - fixes security vulnerabilities: CVE-2012-1107, CVE-2012-1108
      and CVE-2012-1584. (Closes: #662705)
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Drop upstream_doxygen_out_of_source.diff, merged upstream.
  * Drop backport_protection_against_broken_wma_files.diff, merged upstream.
  * Update symbol file.
  * Urgency=high due to security fixes.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 19:08:51 +0300

taglib (1.7-2) unstable; urgency=low

  * Backport some fixes from upstream repository: (Closes: #656226)
    - fix segfault when parsing some ID3v2 tags (patch
      backport_id3v2_null_pointer.diff);
    - partial protection against broken WMA files (patch
      backport_protection_against_broken_wma_files.diff).
  * Add Multi-arch support. (Closes: #651019) Implementation is mostly based on
    the patch from Steve Langasek. The only difference is bumping debhelper
    build dependency to 9.
  * Pass visibility options via DEB_{CFLAGS,CXXFLAGS}_MAINT_APPEND in order to
    inherit default flags from dh/dpkg-buildflags. This needs dpkg-dev 1.16.1
    hence build depend on it.
  * Enable parallel building.
  * Update symbol file.
  * Remove debian/libtag1-doc.lintian-overrides, no longer needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 21:47:28 +0200
