=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: taglib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.1.3~), dpkg-dev (>= 1.15.3), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
+Maintainer: Modestas Vainius <modax@debian.org>
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://developer.kde.org/~wheeler/taglib.html
 Vcs-Git: git://git.debian.org/users/modax/taglib.git
 Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary
@@ -65,7 +64,6 @@
 Package: libtag1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libtag1c2a (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files
  TagLib is a library for reading and editing the meta-data of several popular
@@ -107,8 +105,6 @@
 Package: libtagc0-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files for C bindings
  TagLib is a library for reading and editing the meta-data of several popular
