## taglib 1.8

=== debian/changelog ===
taglib (1.8-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4: no further changes needed.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 28 May 2013 22:32:14 +0300

taglib (1.8-1) experimental; urgency=low

  * New upsteam release. (Closes: #687374)
  * Adapt multiarch.diff patch to upstream changes.
  * Drop backport_id3v2_null_pointer.diff patch, merged upstream.
  * Adapt rusxmms patch to upstream changes.
  * Update symbol files. All removed symbols were either private or optional.
  * Update install files: new headers added to libtag1-dev.
  * Update debian/copyright with a new project homepage on GitHub.
    (Closes: #688504) Likewise, update debian/watch.
  * Update upstream author information in debian/copyright.
  * Build with -NDEBUG by default (unless noopt was requested). This will
    suppress excessive pollution of stderr. (Closes: #632687)

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 02:27:46 +0300
