=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://developer.kde.org/~wheeler/taglib.html
 Vcs-Git: git://git.debian.org/users/modax/taglib.git
 Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary
