=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #! /usr/bin/make -f
 
-export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
-export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
+export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
+export DEB_CXXFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+# Build with NDEBUG (i.e. no debug messages) unless noopt build was requested
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    export DEB_CFLAGS_MAINT_APPEND += -DNDEBUG
+    export DEB_CXXFLAGS_MAINT_APPEND += -DNDEBUG
+endif
 
 CMAKE_ARGS = -DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON -DLIB_INSTALL_DIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH)
 DH_AUTO_ARGS = --buildsystem=cmake
@@ -15,6 +21,7 @@
 
 # Various "functions" (can be invoked via $(call ...))
 buildstamp = $(patsubst %,debian/stamp-build-%,$(1))
+libpkg = libtag1-$(1)
 quilt_safe = $(QUILT) $(1) || test $$? = 2
 
 ### Handle patching of rusxmms flavour ###
@@ -39,25 +46,30 @@
 ### Build rusxmms first, then build vanilla ###
 $(call buildstamp,$(FLAVOURS)):
 	@echo Building $(flavour)
-	dh_auto_configure --builddirectory=$(builddir) $(DH_AUTO_ARGS) -- $(CMAKE_ARGS)
-	dh_auto_build --builddirectory=$(builddir) $(DH_AUTO_ARGS)
+	dh_auto_configure --parallel --builddirectory=$(builddir) $(DH_AUTO_ARGS) -- $(CMAKE_ARGS)
+	dh_auto_build --parallel --builddirectory=$(builddir) $(DH_AUTO_ARGS)
 	touch $@
 
 $(call buildstamp,rusxmms): debian/stamp-patch-rusxmms
 $(call buildstamp,vanilla): | unpatch-rusxmms
 
-build:
-	dh $@ --before dh_auto_configure
+override_dh_auto_configure:
+ifneq ($(shell dh_listpackages -p$(call libpkg,rusxmms)),)
 	$(MAKE_ME) $(call buildstamp,rusxmms)
+endif
+ifneq ($(shell dh_listpackages -p$(call libpkg,vanilla)),)
 	$(MAKE_ME) $(call buildstamp,vanilla)
-	# Complete building
-	dh $@ --after dh_auto_build $@
+endif
 
 ### Install / binary building ###
 override_dh_auto_install:
-	dh_auto_install --builddirectory=builddir-vanilla $(DH_AUTO_ARGS) 
+ifneq ($(shell dh_listpackages -p$(call libpkg,vanilla)),)
+	dh_auto_install --builddirectory=builddir-vanilla $(DH_AUTO_ARGS)
+endif
+ifneq ($(shell dh_listpackages -p$(call libpkg,rusxmms)),)
 	install -d -m755 debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir-rusxmms/taglib/libtag.so.* debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)/
+endif
 
 override_dh_installdocs:
 	dh_installdocs
@@ -71,13 +83,13 @@
 	dh_install -Nlibtag1-rusxmms
 
 # Generate docs when building indep
-doc/html/index.html: | build
+builddir-vanilla/doc/html/index.html: $(call buildstamp,vanilla)
 	# build-indep gets invoked in buildds as well...
 	if [ -x /usr/bin/doxygen ]; then \
 	    dh_auto_build --buildsystem=makefile --builddirectory=builddir-vanilla -- docs; \
 	fi
 
-binary binary-indep: doc/html/index.html
+build-indep: builddir-vanilla/doc/html/index.html
 
 clean: unpatch-rusxmms
 	dh_auto_clean --builddirectory=builddir-vanilla $(DH_AUTO_ARGS)
@@ -91,4 +103,4 @@
 
 # All-in-one default dh rule
 %:
-	dh $@
+	dh $@ --parallel
